osgAnimation::CompositeMotion Struct Reference

`#include <EaseMotion>`

Inheritance diagram for osgAnimation::CompositeMotion:

## Public Types

typedef std::vector< osg::ref_ptr< Motion > > | MotionList
Public Types inherited from osgAnimation::Motion
enum | TimeBehaviour { CLAMP , LOOP }
typedef float | value_type

## Public Member Functions

MotionList & | getMotionList ()
const MotionList & | getMotionList () const
| CompositeMotion (float startValue=0, float duration=1, float changeValue=1, TimeBehaviour tb=CLAMP)
virtual void | getValueInNormalizedRange (float t, value_type &result) const
Public Member Functions inherited from osgAnimation::Motion
| Motion (float startValue=0, float duration=1, float changeValue=1, TimeBehaviour tb=CLAMP)
virtual | ~Motion ()
void | reset ()
float | getTime () const
float | evaluateTime (float time) const
void | update (float dt)
void | setTime (float time)
void | getValue (value_type &result) const
value_type | getValue () const
void | getValueAt (float time, value_type &result) const
value_type | getValueAt (float time) const
float | getDuration () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

MotionList | _motions

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osgAnimation::Motion
float | _time
float | _startValue
float | _changeValue
float | _duration
TimeBehaviour | _behaviour
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## MotionList

typedef std::vector<osg::ref_ptr<Motion> > osgAnimation::CompositeMotion::MotionList

## Constructor & Destructor Documentation

## CompositeMotion()

osgAnimation::CompositeMotion::CompositeMotion | ( | float | startValue = 0,
|  | float | duration = 1,
|  | float | changeValue = 1,
|  | TimeBehaviour | tb = CLAMP )

inline

References osgAnimation::Motion::CLAMP, and osgAnimation::Motion::Motion().

## Member Function Documentation

## getMotionList() [1/2]

MotionList & osgAnimation::CompositeMotion::getMotionList | ( |  | ) |

inline

References _motions.

## getMotionList() [2/2]

const MotionList & osgAnimation::CompositeMotion::getMotionList | ( |  | ) | const

inline

References _motions.

## getValueInNormalizedRange()

virtual void osgAnimation::CompositeMotion::getValueInNormalizedRange | ( | float | t,
|  | value_type & | result ) const

inline virtual

Implements osgAnimation::Motion.

References _motions, osgAnimation::Motion::getDuration(), osgAnimation::Motion::getValueAt(), osgAnimation::Motion::Motion(), osg::notify(), and osg::WARN.

## Member Data Documentation

## _motions

MotionList osgAnimation::CompositeMotion::_motions

Referenced by getMotionList(), getMotionList(), and getValueInNormalizedRange().

The documentation for this struct was generated from the following file:

- EaseMotion